package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 企业应急救援物资
 *
 * @author lx
 * @since 2024-10-12 18:16
 */
@TableName("enterprise_rescue_material")
public class EnterpriseRescueMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "enterprise_emergency_rescue_material_id", type = IdType.AUTO)
    private String enterpriseEmergencyRescueMaterialId;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 规格型号
     */
    private String materialModel;

    /**
     * 物资数量
     */
    private String materialNumber;

    /**
     * 物资类别
     */
    private String materialType;

    /**
     * 主要负责人
     */
    private String mainChargePerson;

    /**
     * 负责人电话
     */
    private String chargePersonMobile;

    /**
     * 购买日期
     */
    private Date buyDate;

    /**
     * 生产厂家
     */
    private String manufactureFactory;

    /**
     * 使用期限
     */
    private Date expireTime;

    /**
     * 状态
     */
    private String status;

    /**
     * 主要用途
     */
    private String mainApplication;

    /**
     * 存放地址
     */
    private String storeAddress;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date gmtCreated;

    /**
     * 检索题名
     */
    private String searchTitle;

    /**
     * 数据来源ID
     */
    private String dataSourceId;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 数据锁版本号
     */
    private String dataVersion;

    /**
     * odm入库时间
     */
    @TableField("odm_rksj")
    private Date odmRksj;

    /**
     * 物资名称
     */
    private String materialName;

    public String getEnterpriseEmergencyRescueMaterialId() {
        return enterpriseEmergencyRescueMaterialId;
    }

    public void setEnterpriseEmergencyRescueMaterialId(String enterpriseEmergencyRescueMaterialId) {
        this.enterpriseEmergencyRescueMaterialId = enterpriseEmergencyRescueMaterialId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getMaterialModel() {
        return materialModel;
    }

    public void setMaterialModel(String materialModel) {
        this.materialModel = materialModel;
    }

    public String getMaterialNumber() {
        return materialNumber;
    }

    public void setMaterialNumber(String materialNumber) {
        this.materialNumber = materialNumber;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMainChargePerson() {
        return mainChargePerson;
    }

    public void setMainChargePerson(String mainChargePerson) {
        this.mainChargePerson = mainChargePerson;
    }

    public String getChargePersonMobile() {
        return chargePersonMobile;
    }

    public void setChargePersonMobile(String chargePersonMobile) {
        this.chargePersonMobile = chargePersonMobile;
    }

    public Date getBuyDate() {
        return buyDate;
    }

    public void setBuyDate(Date buyDate) {
        this.buyDate = buyDate;
    }

    public String getManufactureFactory() {
        return manufactureFactory;
    }

    public void setManufactureFactory(String manufactureFactory) {
        this.manufactureFactory = manufactureFactory;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMainApplication() {
        return mainApplication;
    }

    public void setMainApplication(String mainApplication) {
        this.mainApplication = mainApplication;
    }

    public String getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(String storeAddress) {
        this.storeAddress = storeAddress;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }
}
